///////////////////////////////////////////////////////////////////////////////
// error.cpp
// ---------
//
// History:
//   2000-10-16	1.0	Rune M. Barnkob (c973431)
#include <strstream>
#include <iomanip>
#include "error.h"


// construct default error object
Error::Error(): ecode(-1), emsg("") {}

// construct extended error object
Error::Error( int ec, string m="" ): ecode(ec), emsg(m) {}

// return message for this object ("E<code>")
string Error::getMsg() {
  ostrstream o;
  o << "E" << setw(4) << setfill('0') << ecode << ": " << emsg << ends;
  return o.str();
}
